Skip to content

Business Preverified Numbers

Updated: Mar 31, 2023

Represents a collection of WhatsApp Business Pre-Verified Phone Numbers on a business. See Pre-Verified Phone Numbers.

Reading

Get a list of WhatsApp Business Pre-Verified Phone Numbers on a business.

Requirements

TypeDescription
Access TokenUser or System User
Permissionsbusiness_management

Request Syntax

GET https://graph.facebook.com/<API_VERSION>/<BUSINESS_ACCOUNT_ID>/preverified_numbers
  ?fields=<FIELDS>

Path Parameters

PlaceholderDescriptionSample Value
<API_VERSION>Optional. API version.v25.0
<BUSINESS_ACCOUNT_ID>Business account ID.506914307656634

Query String Parameters

PlaceholderDescriptionSample Value
<FIELDS>Optional. A comma-separated list of fields you want returned on each WhatsApp Business Pre-Verified Phone Number in the result set.phone_number,code_verification_time,code_verification_status,verification_expiry_time

Response

A collection of WhatsApp Business Pre-Verified Phone Numbers and their default fields on the business.

{  
  "data": [  
    {  
      "phone_number": "<PHONE_NUMBER>",  
      "code_verification_status": "<CODE_VERIFICATION_STATUS>",  
      "verification_expiry_time": "<VERIFICATION_EXPIRY_TIME>",  
      "id": "<ID>"  
    },  
    ...  
  ],  
  "paging": {  
    "cursors": {  
      "before": "QVFIU...",  
      "after": "QVFIU..."  
    }  
  }  
}

Sample Request

curl -X GET 'https://graph.facebook.com/v25.0/506914307656634/preverified_numbers' \
-H 'Authorization: Bearer EAAJB...'

Sample Response

{  
  "data": [  
    {  
      "phone_number": "+1 211-555-5105",  
      "code_verification_status": "VERIFIED",  
      "verification_expiry_time": "2023-04-14T22:12:31+0000",  
      "id": "5745365898905902"  
    },  
    {  
      "phone_number": "+1 211-555-7165",  
      "code_verification_status": "VERIFIED",  
      "verification_expiry_time": "2023-04-14T22:10:57+0000",  
      "id": "9010077509033461"  
    },  
    ...  
  ],  
  "paging": {  
    "cursors": {  
      "before": "QVFIU...",  
      "after": "QVFIU..."  
    }  
  }  
}

Parameters

ParameterDescription
code_verification_status enum {VERIFIED, NOT_VERIFIED, EXPIRED}Indicates verification status. Values can be: * EXPIRED — Phone number number was verified more than 14 days ago. * NOT_VERIFIED — Phone number has never been verified. * VERIFIED — Phone number number was verified in the last 14 days.
phone_number stringThe business pre-verified phone number's display phone number.

Fields

Reading from this edge will return a JSON formatted result:

{
"data": [],
"paging": {}
}
data

A list of WhatsAppBusinessPreVerifiedPhoneNumber nodes.

paging

For more details about pagination, see the Graph API guide.

Error Codes

Error CodeDescription
200Permissions error

Creating

You can't perform this operation on this endpoint.

Updating

You can't perform this operation on this endpoint.

Deleting

You can't perform this operation on this endpoint.

Unofficial mirror for reference/search purposes. All content originates from developers.facebook.com — see the source link at the top of each page. Machine-readable indexes: llms.txt · llms-full.txt · About